Bug 1442064 - [NMCI] [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager killed by 5
Summary: [NMCI] [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkMana...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 12:30 UTC by Vladimir Benes
Modified: 2017-08-01 09:27 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:27:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-04-13 12:30:12 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/689e3a9e032cac96e5bb60eddb2589bcc4b0c1bb/

I think this happened when I was killing 
/usr/sbin/openvpn --remote 127.0.0.1 1194 udp --nobind --dev tun --auth-nocache --reneg-sec 0 --verb 2 --syslog nm-openvpn --tun-mtu 1400 --script-security 2 --up /usr/libexec/nm-openvpn-service-openvpn-helper --debug 5 24295 --bus-name org.freedesktop.NetworkManager.openvpn.Connection_2 --tun -- --up-restart --persist-key --persist-tun --management /var/run/NetworkManager/nm-openvpn-c0ed132b-8776-4ea8-8326-490e24fdc7e4 unix --management-client-user root --management-client-group root --management-query-passwords --auth-retry interact --route-noexec --ifconfig-noexec --client --ca /mnt/tests/NetworkManager/tmp/openvpn/sample-keys/ca.crt --cert /mnt/tests/NetworkManager/tmp/openvpn/sample-keys/client.crt --key /mnt/tests/NetworkManager/tmp/openvpn/sample-keys/client.key --user nm-openvpn --group nm-openvpn

for the second time in the test. There is respawn for helper process so this may have been the cause. But not sure.

Comment 1 Vladimir Benes 2017-04-13 13:45:42 UTC
Feel free to close as next release as this version is not in RHEL. Not sure if the 1.4 version from RHEL is affected too.

Comment 2 Thomas Haller 2017-04-13 15:38:22 UTC
I think this is the right fix:
th/vpn-disconnect-rh1442064

Comment 3 Beniamino Galvani 2017-04-14 07:44:23 UTC
(In reply to Thomas Haller from comment #2)
> I think this is the right fix:
> th/vpn-disconnect-rh1442064

LGTM

Comment 6 errata-xmlrpc 2017-08-01 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.